import type { Toast, ToasterOptions } from '../../schema';
export declare class ToasterService {
    private readonly document;
    private readonly options?;
    private static readonly instances;
    private toastContainerElement?;
    private constructor();
    static getInstance(document: Document, options?: ToasterOptions): ToasterService;
    dispose(): void;
    enqueue(toast: Toast): Promise<() => void> | undefined;
    closeAll(immediate?: boolean): void;
}
